Point2D.Double (Java Platform SE 8 )
Keywords: java.awt.geom.Point2D.Double class
Date: 2016-12-09

java.awt.geom

## Class Point2D.Double

- java.lang.Object
- - java.awt.geom.Point2D
  - - java.awt.geom.Point2D.Double

- All Implemented Interfaces:
    Serializable, Cloneable
  Enclosing class:
    Point2D

      public static class Point2D.Double
      extends Point2D
      implements Serializable

  The `Double` class defines a point specified in `double` precision.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.geom.Point2D

      `Point2D.Double, Point2D.Float`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `x` The X coordinate of this `Point2D`.
    `double` | `y` The Y coordinate of this `Point2D`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Double()` Constructs and initializes a `Point2D` with coordinates (0, 0).
    `Double(double x, double y)` Constructs and initializes a `Point2D` with the specified coordinates.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getX()` Returns the X coordinate of this `Point2D` in `double` precision.
    `double` | `getY()` Returns the Y coordinate of this `Point2D` in `double` precision.
    `void` | `setLocation(double x, double y)` Sets the location of this `Point2D` to the specified `double` coordinates.
    `String` | `toString()` Returns a `String` that represents the value of this `Point2D`.

    - ### Methods inherited from class java.awt.geom.Point2D

      `clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, equals, hashCode, setLocation`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public double x

      The X coordinate of this `Point2D`.
      Since:
        1.2

    - #### y

          public double y

      The Y coordinate of this `Point2D`.
      Since:
        1.2

  - ### Constructor Detail

    - #### Double

          public Double()

      Constructs and initializes a `Point2D` with coordinates (0, 0).
      Since:
        1.2

    - #### Double

          public Double(double x,
                        double y)

      Constructs and initializes a `Point2D` with the specified coordinates.
      Parameters:
        `x` - the X coordinate of the newly constructed `Point2D`
        `y` - the Y coordinate of the newly constructed `Point2D`
      Since:
        1.2

  - ### Method Detail

    - #### getX

          public double getX()

      Returns the X coordinate of this `Point2D` in `double` precision.
      Specified by:
        `getX` in class `Point2D`
      Returns:
        the X coordinate of this `Point2D`.
      Since:
        1.2

    - #### getY

          public double getY()

      Returns the Y coordinate of this `Point2D` in `double` precision.
      Specified by:
        `getY` in class `Point2D`
      Returns:
        the Y coordinate of this `Point2D`.
      Since:
        1.2

    - #### setLocation

          public void setLocation(double x,
                                  double y)

      Sets the location of this `Point2D` to the specified `double` coordinates.
      Specified by:
        `setLocation` in class `Point2D`
      Parameters:
        `x` - the new X coordinate of this `Point2D`
        `y` - the new Y coordinate of this `Point2D`
      Since:
        1.2

    - #### toString

          public String toString()

      Returns a `String` that represents the value of this `Point2D`.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `Point2D`.
      Since:
        1.2

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.